
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>从C#到Objective-C，循序渐进学习苹果开发(1)--准备开发账号和开发环境 / iVAN</title>

    <meta name="description" content="从C#到Objective-C，循序渐进学习苹果开发(1)--准备开发账号和开发环境 本随笔系列主要介绍从一个Windows平台从事C#开发到Mac平台苹果开发的一系列感想和体验历程,本系列文章是在起步阶段逐步积累的,希望带给大家更好,更真实的转换历程体验,因为一旦方方面面都精通了,也就可能没太大的动力继续写这系列的文章了,文章中可能有一些地方说的不对或者不够完善的地方,希望大家多多指正,共同提高. 由于本人起步Objective-C的苹果开发比较晚,但是因为自己有着比较深厚的C#开发背景,因此在很多方面都会和我之前的经验做比较,因此本系列文章对于从C#转向Objective-C">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">从C#到Objective-C，循序渐进学习苹果开发(1)--准备开发账号和开发环境</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本随笔系列主要介绍从一个Windows平台从事C#开发到Mac平台苹果开发的一系列感想和体验历程，本系列文章是在起步阶段逐步积累的，希望带给大家更好，更真实的转换历程体验，因为一旦方方面面都精通了，也就可能没太大的动力继续写这系列的文章了，文章中可能有一些地方说的不对或者不够完善的地方，希望大家多多指正，共同提高。</p>
<p>由于本人起步Objective-C的苹果开发比较晚，但是因为自己有着比较深厚的C#开发背景，因此在很多方面都会和我之前的经验做比较，因此本系列文章对于从C#转向Objective-C的苹果开发来说，应该是比较合适的。</p>
<p>开始介绍这些系列内容之前，花上一些时间做一些自己的背景介绍，希望大家了解起步的背景和我自己的一些感想，以期达到相互共鸣，加深体会。</p>
<h3>1、个人技术背景</h3>
<p>从事C#语言的开发超过10年了，虽然期间也用过微软的其他语言，如VB6、VB.NET做过开发等，不过都是一段段小插曲，最终还是主要使用C#做开发，包括Winform的开发、Web上面的开发（Webform、JQuery、MVC等），在这方便也有自己的一些见解及较多的积累，包括自己的《Winform开发框架》、《Web开发框架》、《WCF开发框架》、《混合式开发框架》等以及一些其他应用程序，如较早期开发的送水管理系统、酒店管理系统、仓库管理系统，以及后来开发的很多应用程序，如病人资料管理系统、客户关系管理系统等等，还有很多其他基于QQ开发、邮件处理、赶集网数据采集、Visio二次开发、Socket网络通讯、硬件串口的开发方面都有所涉及，基本上这么多年来，把认为重要和感兴趣的.NET技术都学习了一把。有一些技术和产品的积累，也算对得起这么多年来的技术研究了。</p>
<p>书籍撰写方面，早期也就参加过，年轻力壮的时候，生活拮据的年代，ASP技术和ASP.NET技术盛起的时候，分别写过一本《ASP与网站开发实战》和《ASP.NET与网站开发实践教程》，写书的辛苦和出版商的奸诈，从中可以深刻体会到。</p>
<p>俗话说，技不压身，很早就开始想转入苹果开发的系列了，最初从购买自己的Iphone4s开始，就有这个念头，那时候还很早，刚刚2012年初发布的时候就入手一台，同年花钱弄了一个IMAC，一直用不习惯，不过好在安静、方便、大屏幕，偶尔用来晚上玩玩，白天工作不用。</p>
<h3>2、苹果平台的转换</h3>
<p>苹果桌面操作系统的使用习惯和Windows很不同，你可能习惯在WIndows里面使用Ctrl,而Mac系统主要用Command键替代，虽然键盘也有control键，但是意义完全不同，传统的Windows的Shift按键在Mac系统里也用Option键替代。最开始默认的苹果鼠标还没有右键功能，用了好久才发现，可以启用右键菜单功能，甚至滚轮的方向都有所不同。总之，用惯了Windows平台，你使用Mac系统，会有一个适应的过程。</p>
<p>使用苹果的Mac系统，你也可以使用Windows传统的大键盘，不过建议还是选择较贵的苹果小键盘，虽然不太习惯按键太小，但是很多快捷功能，你在Windows键盘里是不起作用的，这个非常不方便，反正选择配套就对了，呵呵。</p>
<p>苹果的系统，很多功能都在菜单里面寻找，在我们开发之前，最好把基本的系统应用都熟悉一下，一个对这个系统有个了解，二个对苹果的各种操作有一个详细的概念，否则你还不知道文件如何管理呢。</p>
<p>我的操作系统原来装的是猎豹系列的，也安装了XCode开发工具了，前阵子想入手开发的时候，把系统升级到最新，也把XCode更新到了5.02，这个整体系列的更新文件有点大，基本上下载了一天的时间，安装倒是很快，但是可能偶尔会因为网速的原因，断掉，需要接着下载更新。</p>
<p>如果下载多次还是不能成功更新操作系统或者XCode，建议可以通过Mac系统的迅雷下载软件，里面有一个 Thunder Store，速度蛮快了，哈哈。</p>
<p>另外，在开发前，最好能够准备几个IOS设备，IPAD、IPhone都最好有，呵呵。由于XCode5已经不支持进行IOS6以下的版本调试了，因此我把自己的4S从5.1升级到了7.06，虽然新IOS7系统的界面不太习惯，不过为了开发方便，还是升级最好了。</p>
<h3>3、注册开发者账号及设置</h3>
<p>很早就知道注册苹果开发者账号，每年需要缴纳99美元，这个时候使用信用卡来处理就很好，支持美元支付的就可以了，我使用招行信用卡，周末的时候申请的，好像第二第三天就搞定了，响应的速度还是很快的。</p>
<p>注册开发者账号与否，你都可以使用XCode进行程序开发，但是你开发的应用只能在模拟器中测试，不能在真机测试并发布，而且他们网站还有一些资源使用的限制，不过开始之前可以先熟悉整个开发的流程和知识，如果确定需要从事开发，注册购买一个开发者资格还是非常必要的。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzg4NjcvMjAxNDAzLzA5MTAwOTEzMjA2MzgwMS5wbmc=.jpg"></p>
<p>以上红色部分是在苹果开发网站里最为重要的部分了。这里面涉及需要下载开发的证书，以及你需要调试的开发配备证书等。</p>
<p>通过一系列的设置和引导，你可能最终弄好了两个证书，一个是开发的证书，一个是发布的证书，你需要把它们保存并安装到你的Mac电脑上。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzg4NjcvMjAxNDAzLzA5MTAxNTA3MTkwNTYyMi5wbmc=.jpg"></p>
<p>申请好后，打开其中的开发证书，看到有下载的链接按钮。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzg4NjcvMjAxNDAzLzA5MTAxNDUwODYyNDE3OC5wbmc=.jpg"></p>
<p>把他下载到本地，然后把它安装到本地的钥匙串里面即可。</p>
<p>弄好了这些后，你需要申请一个Provisioning Profile的开发证书，然后在XCode的【WIndow】【Organizer】里面把你要开发设备接入进来，因为苹果严格规定，只有安装了这个证书的IOS设备，才能用来真机调试，否则是不允许的，因此这些证书的作用就是标识设备是你的，能够用于开发调试。最好为了方便，把所有的IOS设备都接入进来了，截个图大家了解下。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzg4NjcvMjAxNDAzLzA5MTAzMTQxOTA5OTA5Ny5wbmc=.jpg"></p>
<p>最后，运行XCode的程序，自己创建或者打开一个Demo程序，大致了解下其界面布局吧（默认没有黑色背景的，我通过设置把它调整了以下，感觉眼睛舒服了很多。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzg4NjcvMjAxNDAzLzA5MTA0MTUzMDgxNjYxNC5wbmc=.jpg"></p>
<h3>4、相关知识的了解</h3>
<p>要了解整个IOS开发的系列内容，当然需要全方位的知识掌握，在开发之前，我自己通过网上了解了很多Objective-C的基础知识，好像51CTO里面的系列文章还不错。看了不少，逐渐对这个语言也有所了解。</p>
<p>相对于电子书籍，传统的书籍也是很有必要的，因此，我自己也通过了图书馆借了一些书籍帮助了解，借助各种知识的加强学习，能够对XCode的使用和Objective-C的语法等使用有一个非常好的熟悉了解。如下面就是我自己从图书馆第一次接回来的书籍。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzLmNuaXRibG9nLmNvbS9pLzg4NjcvMjAxNDAzLzA5MTA1NDUxNDg3NjYwNi5qcGc=.jpg"></p>
<p>不过，对于全面了解Objective-C等的内容，我后来发现苹果开发平台里面的内容更是全面，虽然全部是英文的，但是看起来非常舒服，叙述的很流畅，关键一点，是苹果把最新最好的特点都叙述的很清晰了，这个比起其他书籍介绍的内容，更加好。</p>
<p>否则你如果看各种参差不齐的书籍，可能对很多地方都有疑问，如有些书籍或者网上的文章，还是在ARC的引入之前的，大量介绍retain release等内容，而Release在引入ARC后，已经不需要写了，引用计数交给编译器完成了。</p>
<p> 如在苹果开发网站里面，有一些序列的文章很不错，我自己倒是花了一整天的时间把它学习了一遍，感觉介绍的非常清晰，内容都是苹果根据最新的特性进行更新的，这点非常棒。</p>
<p><a href="https://developer.apple.com/library/ios/referencelibrary/GettingStarted/RoadMapiOS/index.html" rel="external nofollow noreferrer">Start Developing iOS Apps Today</a></p>
<p><a href="https://developer.apple.com/library/ios/documentation/Cocoa/Conceptual/ProgrammingWithObjectiveC/Introduction/Introduction.html#//apple_ref/doc/uid/TP40011210-CH1-SW1" rel="external nofollow noreferrer">Programming with Objective-C</a></p>
<p><a href="https://developer.apple.com/library/ios/documentation/iPhone/Conceptual/iPhoneOSProgrammingGuide/AppArchitecture/AppArchitecture.html" rel="external nofollow noreferrer">iOS App Programming Guide</a></p>
<p>本文转自博客园伍华聪的博客，原文链接：<a href="http://www.cnblogs.com/wuhuacong/p/3589611.html" rel="external nofollow noreferrer">从C#到Objective-C，循序渐进学习苹果开发(1)--准备开发账号和开发环境</a>，如需转载请自行联系原博主。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-26 13:00:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/xcode/" title="xcode">xcode</a>, <a href="https://www.iamivan.net/tag/objective-c/" title="objective c">objective c</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9c%e7%b3%bb%e7%bb%9f/" title="操作系统">操作系统</a>, <a href="https://www.iamivan.net/tag/mac/" title="mac">mac</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91%e7%8e%af%e5%a2%83/" title="开发环境">开发环境</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91%e6%a1%86%e6%9e%b6/" title="开发框架">开发框架</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>从C#到Objective-C，循序渐进学习苹果开发(1)--准备开发账号和开发环境的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M064JAz.html" rel="bookmark">从C&num;到Objective-C，循序渐进学习苹果开发&lpar;7&rpar;--使用FMDB对Sqlite数据库进行操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本随笔系列主要介绍从一个Windows平台从事C#开发到Mac平台苹果开发的一系列感想和体验历程,本系列文章是在起步阶段逐步积累的,希望带给大家更好,更真实的转换历程体验.本篇主要开始介绍基于XCode进行IOS程序的开发,介绍使用FMDB对Sqlite数据库进行操作,以及对数据库操作类进行抽象设计,以期达到重用.简化.高效开发的目的. 在.NET领域开发了很多年,一般常见的项目都需要操作数据库,包括有Oracle.SqlServer.Mysql.Sqlite.Access等数据库,这些数据库是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdL2Nmp.html" rel="bookmark">从C&num;到Objective-C，循序渐进学习苹果开发&lpar;5&rpar;--利用XCode来进行IOS的程序开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本随笔系列主要介绍从一个Windows平台从事C#开发到Mac平台苹果开发的一系列感想和体验历程,本系列文章是在起步阶段逐步积累的,希望带给大家更好,更真实的转换历程体验.前面几篇随笔主要介绍C#和Objective-C之间的差异,本片开始介绍利用XCode来进行IOS的程序开发,对比和C#利用VS进行开发的差异,以便我们更快的融入到IOS开发的阵营. 在介绍利用XCode来开发项目前,我自己消化了几本IOS开发的书籍,以及苹果开发网站的一些自认为重要文章介绍,学习了一些视频的内容,包括网易里面			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDy9ZWb.html" rel="bookmark">从C&num;到Objective-C，循序渐进学习苹果开发&lpar;2&rpar;--Objective-C和C&num;的差异</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本随笔系列主要介绍从一个Windows平台从事C#开发到Mac平台开发苹果开发的一系列感想和体验历程,本系列文章是在起步阶段逐步积累的,希望带给大家更好,更真实的转换历程体验. 在上篇&lt;从C#到Objective-C,循序渐进学习苹果开发(1)--准备开发账号和开发环境&gt;介绍了一些基本的转换感悟和一些基础的准备工作,还没有正式真实的介绍Objective-C和C#的之前差异,我们知道,从一种环境或者一种语言转换过去另外一种,我们都会做一些对比和理解,这样可以很容易把我们头脑的知识进行对接,在这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAldWAb.html" rel="bookmark">从C&num;到Objective-C，循序渐进学习苹果开发&lpar;3&rpar;--分类&lpar;category&rpar;和协议Protocal的理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本随笔系列主要介绍从一个Windows平台从事C#开发到Mac平台苹果开发的一系列感想和体验历程,本系列文章是在起步阶段逐步积累的,希望带给大家更好,更真实的转换历程体验.本文继续上一篇随笔&lt;从C#到Object C,循序渐进学习苹果开发(2)--Objective-C和C#的差异&gt;,继续对比介绍它们两者之间的差异,以便我们从C#阵营过来的人员加深印象,深入了解Objective-C语言的特性.本篇随笔主要针对Objective-C里面的分类(category)和协议Protocal概念的理解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmjNgBz.html" rel="bookmark">从C&num;到Objective-C，循序渐进学习苹果开发&lpar;4&rpar;--代码块&lpar;block&rpar;和错误异常处理的理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本随笔系列主要介绍从一个Windows平台从事C#开发到Mac平台苹果开发的一系列感想和体验历程,本系列文章是在起步阶段逐步积累的,希望带给大家更好,更真实的转换历程体验.本文继续上一篇随笔&lt;从C#到Objective-C,循序渐进学习苹果开发(3)--分类(category)和协议Protocal的理解&gt;,继续对比介绍它们两者之间的差异,以便我们从C#阵营过来的人员加深印象,深入了解Objective-C语言的特性.本篇随笔主要针对Objective-C里面的代码块(block)和异常处理概			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEENBJb.html" rel="bookmark">从C&num;到Objective-C，循序渐进学习苹果开发&lpar;6&rpar;--视图控制器的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本随笔系列主要介绍从一个Windows平台从事C#开发到Mac平台苹果开发的一系列感想和体验历程,本系列文章是在起步阶段逐步积累的,希望带给大家更好,更真实的转换历程体验.本篇主要开始介绍基于XCode进行IOS程序的开发,介绍其中视图控制器的理解和使用过程. 1.视图控制器(导航视图控制器和选项卡视图控制器) 我们知道,在.net里面开发Winform程序或者Webform程序,我们只需要绘制一个个界面,然后在后台添加相应的处理,如果设计比较好的话,把业务逻辑.数据库访问等不同的层包装起来,本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo7NwVb.html" rel="bookmark">15个快速学习苹果Swift编程语言的入门教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				要说今年最火的编程语言是什么.那就非Swift莫属了.当然最主要还是市场炒的比较热,加上官方Swift教程&lt;The Swift Programming Language&gt;在北航的大三学生发起在github上进行协同翻译获得了很高的人气,短短几天时间内&lt;Swift中文版&gt;第一版就发布.这真是不火不行了. Swift是苹果公司在WWDC2014上发布的全新开发语言.从演示视频及随后在appstore上线的标准文档看来,语法内容混合了OC,JS,Python,语法简单,使用方便,并可与O			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqrVeKp.html" rel="bookmark">美有线电视商康卡斯特CEO&colon;学习苹果好榜样</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				康卡斯特CEO布莱恩·罗伯茨 北京时间12月17日消息,据国外媒体报道,美国最大的有线服务公司康卡斯特首席执行官布莱恩·罗伯茨在接受采访时表示,康卡斯特在发展的过程中学习苹果的模式,把复杂的产品组合简约化和易用化. 美国最大的媒体公司并非你想像中的那个.康卡斯特公司的收入和市场影响力比迪斯尼.新闻集团.时代华纳的都要高.就连康卡斯特CEO布莱恩·罗伯茨对公司崛起的速度也感到吃惊.康卡斯特由布莱恩·罗伯茨的父亲创立于美国密西西比州图珀洛市,最初只是一家小小的有线电视公司,如今却是NBC环球的主要持			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWY4Vp.html" rel="bookmark">Android开发学习---使用Intelij idea 13&period;1 进行android 开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Android开发学习---使用Intelij idea 13.1 进行android 开发 1.为什么放弃eclipse?太卡!! 实在受不了eclipse的卡了,运行WEB项目还好,但android开发实在太慢,太慢!经常卡死,CPU经常被占满! 看网上很多人都说比Intelij idea好用,就试下,目前还在test阶段,总之是各种不习惯,很多快捷键之类的跟eclipse完全不一样.还要多熟悉! 另外android studio 也比较卡,而且用起来相当难受,完全是intelij 的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBw6oM.html" rel="bookmark" class="title">flash后台数据连接&lpar;PHP篇&rpar;之php&amp;amp&semi;flash收藏夹---amfphp实现&plus;mysql</a>
					<div>
						mysql|后台|数据 这里就不多说了,应该很容易就可以看懂了!这里没有用TextArea而改用了DataGrid! :-) 刚学会! import mx.remoting.Service; impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx8V2b.html" rel="bookmark" class="title">AutoCAD五分钟内画一个足球</a>
					<div>
						以前我做过&lt;十分钟内画一个足球&gt;教程,现已过时了.如今参照了&quot;Z10版&quot;的&quot;拉伸足球锥体&quot;方法,省去了频繁的剖切,简便了制作流程,只要四分多钟就能完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RD6jp.html" rel="bookmark" class="title">使用Excel截屏功能实时更新数据</a>
					<div>
						Excel是一款我们经常会用到的软件,但是它里面的一些诸如截屏等有趣的功能,不知道你是否有发现呢. Excel照相功能 说道截屏,大家的反应可能首先都会是Printscreen,但是Excel中,也有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y9eoz.html" rel="bookmark" class="title">使用IBM Rational Quality Manager实现测试分析和报表</a>
					<div>
						简介:本文深入地介绍了利用 IBM Rational Quality Manager (RQM) 进行测试分析和生成报表,并且涵盖了测试经理可能提出的常见问题.您还可以了解到如何使用 RQM 辅助您对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLoQab.html" rel="bookmark" class="title">数据点&colon; 设计实体数据模型</a>
					<div>
						实体框架是为 ADO.NET 开发的一种激动人心的新技术.开发人员可以借助它使用逻辑模型(而不是物 理模型)查看数据,并提供了更高的灵活性. 实体框架的核心是实体数据模型 (EDM).EDM 定义开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7e05b.html" rel="bookmark" class="title">在global&period;asax中实现URL重写</a>
					<div>
						看到有很多网站都用到了URL重写的功能,在网上找了很多资料,实现的方法有多种,可是大部分都很难理解,过程也比较复杂,不过我找到一种很简单也很容易理解的实现URL重写的方法,只需要在global.asa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA9eBb.html" rel="bookmark" class="title">Flash教程实例：如何制作别样的绿</a>
					<div>
						  设置影片属性;使用&quot;文字工具&quot;写入文字;使用帧动作设置动作;使用帧属性设置帧的属性;创建新元件.本文对Flash教程实例 :如何制作别样的绿进行了具体阐述供阅读. [步骤] ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrAWEp.html" rel="bookmark" class="title">验证码技术及其实现</a>
					<div>
						不少网站为了防止用户利用机器人自动注册.登录.灌水,都采用了验证码技术.所谓验证码,就是将一串随机产生的数字或符号,生成一幅图片,图片里加上一些干扰象素(防止OCR),由用户肉眼识别其中的验证码信息, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2kowM.html" rel="bookmark" class="title">win7系统安装会声会影出现错误代码38怎么解决？</a>
					<div>
						  win7系统安装会声会影出现错误代码38怎么解决? 1.右击计算机,打开管理; 2.展开服务和程序,单击服务; 3.找到名称为Corel License Validation Service V2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badL5Qz.html" rel="bookmark" class="title">效能日记本怎么用？</a>
					<div>
						  效能日记本顾名思义是用来写日记的,软件提供了强大的日记编辑功能,用户可以随心所欲的在日记中插入表格.图片.超链接甚至附件等您认为任何有价值的东西.此外,用户还可以单独设置某篇日记的背景色.背景图片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKQ7oM.html" rel="bookmark" class="title">如何应对U盘不被识别问题</a>
					<div>
						  1.先看一下数据线是不是完好,最好换一条好的试试. 2.将U盘同系统的各个USB接口连接一下,频率在1分钟左右,不能识别就更换其他USB.中间最好是重启电脑后测试;这样判断是不是电脑的USB接口有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa9Baz.html" rel="bookmark" class="title">计算机网络概念问题，求帮助</a>
					<div>
						问题描述 计算机网络概念问题,求帮助 本人不是计算机专业的,但是在自学计算机,最近在补一些基础知识,遇到一点问题,请各位大神帮忙提一点思路,谢谢You plug a new laptop into a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6ogwb.html" rel="bookmark" class="title">蚂蚁金服高级技术专家徐红星 ：蚂蚁金服大数据开放式创新实践</a>
					<div>
						8月30-31日20:00-21:30,一场别开生面的技术大会-- &quot;蚂蚁金服&amp;阿里云在线金融技术峰会&quot;将在线举办.本次将聚焦数据库.应用架构.移动开发.机器学习等热门领域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwWdjM.html" rel="bookmark" class="title">javascript 定义在新的标签中打开连接实现代码</a>
					<div>
						&lt;!doctype html public &quot;-//w3c//dtd xhtml 1.0 transitional//en&quot; &quot;http://www.w3.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6jL7b.html" rel="bookmark" class="title">C&num;  序列化（总）</a>
					<div>
						1.Protobuf-Net 序列化 2.实体类序列化与反序列化一 (XmlSerializer) 3.实体类序列化与反序列化二 (DataContractSerializer) 4.Json 序列化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAPm6M.html" rel="bookmark" class="title">深入理解ioctl</a>
					<div>
						&lt;Linux设备驱动程序&gt;ioctl详解   除了读取和写入设备之外,大部分驱动程序还需要通过设备驱动程序实行各种类型的硬件控制.简单的数据传输之外,大部分设备还可以执行其他一些操作,比如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAennM.html" rel="bookmark" class="title">【聚划算 Android 技术周刊 第五期- 20160912】</a>
					<div>
						我们是聚划算无线Android团队,目前负责聚划算客户端.手淘天猫聚划算插件.淘抢购插件.俪人购客户端等,欢迎交流同时欢迎优秀的人才转岗或者加盟 G20过后,杭州的人气和天气又迅速恢复往常那样,酸爽的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq53kb.html" rel="bookmark" class="title">刚刚写的单片机数字时钟（定时器），献丑了</a>
					<div>
						#include&lt;reg52.h&gt;     //包含头文件,一般情况不需要改动,头文件包含特殊功能寄存器的定义 #define uchar unsigned char #define ui ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rrkWz.html" rel="bookmark" class="title">habase：如果查询时设置了startrow和stoprow，然后在加一个rowFilter，会走索引嘛，求解！</a>
					<div>
						问题描述 hadoop取没人,只能来着了 解决方案 解决方案二:没用过,帮顶!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94j3Vb.html" rel="bookmark" class="title">openstack nova 源码解析 &mdash; Nova API 执行过程从&lpar;novaclient到Action&rpar;</a>
					<div>
						目录 目录 Nova API Nova API 的执行过程 novaclient 将 Commands 转换为标准的HTTP请求 PasteDeploy 将 HTTP 请求路由到具体的 WSGI Ap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZGrXM.html" rel="bookmark" class="title">nodejs&mdash;&mdash;网络编程模块</a>
					<div>
						net模块提供了一个异步网络包装器,用于TCP网络编程,它包含了创建服务器和客户端的方法.dgram模块用于UDP网络编程. 参考链接:https://nodejs.org/api/net.html, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWmlmz.html" rel="bookmark" class="title">java中的&equals;&equals;、equals&lpar;&rpar;、hashCode&lpar;&rpar;源码分析</a>
					<div>
						1. == java中的==是比较两个对象在JVM中的地址.比较好理解.看下面的代码: public class ComAddr{     public static void main(String ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z7LyM.html" rel="bookmark" class="title">故障-PB编译错误，   求大哥大叔帮忙解决困惑，  3个错误 附上图，   在线等待热心人。。。</a>
					<div>
						问题描述 PB编译错误, 求大哥大叔帮忙解决困惑, 3个错误 附上图, 在线等待热心人... declare rep_goods_sale_deal PROCEDURE for rep_goods_s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eVLPb.html" rel="bookmark" class="title">高手们来帮我解决下这个问题咯~~~~~</a>
					<div>
						问题描述 importjava.io.FileInputStream;importjava.io.FileNotFoundException;importjava.io.IOException;imp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKP7WM.html" rel="bookmark" class="title">《HTML5 开发实例大全》&mdash;&mdash;1&period;13 使用&amp;lt&semi; progress &amp;gt&semi;标记元素实现进度条效果</a>
					<div>
						1.13 使用&lt; progress &gt;标记元素实现进度条效果 实例说明 在全新HTML 5中,可以使用&lt; progress &gt;标记元素实现进度条效果.当页面在与用户进行数据交互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEyE8z.html" rel="bookmark" class="title">MySQL中的主键以及设置其自增的用法教程&lowbar;Mysql</a>
					<div>
						1.声明主键的方法:您可以在创建表的时候就为表加上主键,如: CREATE TABLE tbl_name ([字段描述省略...], PRIMARY KEY(index_col_name)); 也可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEdrZz.html" rel="bookmark" class="title">asp&period;net页面master页面与ascx用户控件传值的问题&lowbar;实用技巧</a>
					<div>
						aspx 页面与ascx用户控件传值的问题 1.建立ascx控件 2.给ascx加上属性 3.将控件拖入aspx中 4.在aspx的代码中按控件ID访问属性 如: &lt;uc3:left_Repas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QEPBp.html" rel="bookmark" class="title">留言簿群发和blog连接对排名有负面影响</a>
					<div>
						     Google最近半年的算法调整很大,这中间,对连接的算法改进最大,经过我们研究发现:     留言簿群发和blog连接对排名有负面影响! 希望大家以后不要盲目的发去了,请大家相信这一条:   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1elxb.html" rel="bookmark" class="title">从美的原则谈网页上的艺术表现</a>
					<div>
						什么是美呢? 美的事物应该具备什么条件呢? 我们根据人类美感的共通性可以定出十个美的原则:连续.渐变.对称.对比.比例.平衡.调和.律动.统一.完整. 在讨论美的原则之前,必须先了解「单位形」的意义. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWr0Ap.html" rel="bookmark" class="title">IIS W3C日志记录字段和HTTP状态代码的说明</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 一般情况下很多朋友都不在意IIS日 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
